Bug 28249 - Selenium->wait_for_element_visible can fall in an infinite loop
Summary: Selenium->wait_for_element_visible can fall in an infinite loop
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-28 14:37 UTC by Jonathan Druart
Modified: 2021-05-25 13:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06,20.05.12


Attachments
Bug 28249: Prevent Selenium->wait_for_element_visible to fall in an infinite loop (1.04 KB, patch)
2021-04-28 14:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-04-28 14:37:55 UTC
Found when working on bug 19185.

We can be stuck forever in
while ( not $visible ) {
Comment 1 Jonathan Druart 2021-04-28 14:39:04 UTC
Created attachment 120274 [details] [review]
Bug 28249: Prevent Selenium->wait_for_element_visible to fall in an infinite loop

Stop if max_retries is reached
Comment 2 Jonathan Druart 2021-04-30 15:18:18 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 3 Fridolin Somers 2021-05-05 13:55:27 UTC
Pushed to 20.11.x for 20.11.06
Comment 4 Andrew Fuerste-Henry 2021-05-25 11:10:49 UTC
Pushed to 20.05.x for 20.05.12
Comment 5 Victor Grousset/tuxayo 2021-05-25 13:59:02 UTC
Backported: Pushed to 19.11.x branch for 19.11.18